// this is the FOG VOLUME shader
textures/gpx/gpxfog
{
	qer_editorimage	textures/fogs/fog.tga
	qer_nocarve
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.85 0.85 0.85 ) 7168.0
	cull	twosided
}
       // [ # # # ] = normalized colour values of RGB (ie. 1.0 0.5 0.0 = 100% red, 50% green, 0% blue).
        // [distance to opaque] = maximum distance (in game units) the player can see until the fog becomes opaque.

  // this is the FOGHULL "sphere" shader
 textures/gpx/gpxhull        // Edit this line!
 {
	 qer_editorimage	textures/skies/sky
         surfaceparm nolightmap
         surfaceparm nomarks
         surfaceparm noimpact
         surfaceparm sky
	q3map_sunExt 1.0 1.0 0.88 75 100 75 2 10
	q3map_skylight 110 3
         skyparms textures/gpx/gpxhull 128 -     // Edit this line!
 }

// this is the transparent signs1 shader
textures/gpx/bdc-signs1
{
	qer_editorimage textures/gpx/bdc-racingsigns1.jpg
	surfaceparm nonopaque
	surfaceparm trans
	surfaceparm nolightmap
	
	{
		map textures/gpx/bdc-racingsigns1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthwrite 
		rgbGen Identity
	}
}

// this is the transparent signs2 shader
textures/gpx/bdc-signs2
{
	qer_editorimage textures/gpx/bdc-racingsigns2.jpg
	surfaceparm nonopaque
	surfaceparm trans
	surfaceparm nolightmap
	
	{
		map textures/gpx/bdc-racingsigns2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthwrite 
		rgbGen Identity
	}
}

// this is the transparent signs3 shader
textures/gpx/bdc-signs3
{
	qer_editorimage textures/gpx/bdc-racingsigns3.jpg
	surfaceparm nonopaque
	surfaceparm trans
	surfaceparm nolightmap
	
	{
		map textures/gpx/bdc-racingsigns3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthwrite 
		rgbGen Identity
	}
}

// this is the transparent signs4 shader
textures/gpx/bdc-signs4
{
	qer_editorimage textures/gpx/bdc-racingsigns4.jpg
	surfaceparm nonopaque
	surfaceparm trans
	surfaceparm nolightmap
	
	{
		map textures/gpx/bdc-racingsigns4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthwrite 
		rgbGen Identity
	}
}

// this is the replacement shader for the bacta tanks base part
textures/gpx/bdc_bactabase
{
	{
		map $lightmap
		rgbGen identity
	}
    {
        map models/map_objects/hoth/bacta_tank_shell
	blendFunc GL_DST_COLOR GL_ZERO
        rgbGen Identity
    }
}
